DataBox.ServiceRegionConfigurationViaIdentity(String, IRegionConfigurationRequest, Func<HttpResponseMessage,Task<IRegionConfigurationResponse>,Task>, Func<HttpResponseMessage,Task<IApiError>,Task>, IEventListener, ISendAsync) Method

Definition

public System.Threading.Tasks.Task ServiceRegionConfigurationViaIdentity (string viaIdentity, Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IRegionConfigurationRequest body, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IRegionConfigurationResponse>,System.Threading.Tasks.Task> onOk, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IApiError>,System.Threading.Tasks.Task> onDefault, Microsoft.Azure.PowerShell.Cmdlets.DataBox.Runtime.IEventListener eventListener, Microsoft.Azure.PowerShell.Cmdlets.DataBox.Runtime.ISendAsync sender);
member this.ServiceRegionConfigurationViaIdentity : string * Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IRegionConfigurationRequest * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IRegionConfigurationResponse>, System.Threading.Tasks.Task> * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.DataBox.Models.Api20210301.IApiError>, System.Threading.Tasks.Task> * Microsoft.Azure.PowerShell.Cmdlets.DataBox.Runtime.IEventListener * Microsoft.Azure.PowerShell.Cmdlets.DataBox.Runtime.ISendAsync -> System.Threading.Tasks.Task
Public Function ServiceRegionConfigurationViaIdentity (viaIdentity As String, body As IRegionConfigurationRequest, onOk As Func(Of HttpResponseMessage, Task(Of IRegionConfigurationResponse), Task), onDefault As Func(Of HttpResponseMessage, Task(Of IApiError), Task), eventListener As IEventListener, sender As ISendAsync) As Task

Parameters

viaIdentity
String
eventListener
IEventListener
sender
ISendAsync

Returns

Task

Applies to